
%global meadversion 1.0.1
%global namedversion 1.0.1.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%bcond_without mead
%bcond_with javadoc

%define mavengroup org.jboss.genericjms
%define artifact0 generic-jms-ra-pom
%define artifact1 generic-jms-ra-jar
%define artifact2 generic-jms-ra

%define maven_version 1.0.1.Final-redhat-1

Name:      jboss-genericjms
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   JBoss Generic JMS JCA RA
License:   LGPL 2.1
Group:     Development/Java

%if %with mead
Source100: generic-jms-ra-pom-1.0.1.Final-redhat-1-scm-sources.zip
Source102: generic-jms-ra-1.0.1.Final-redhat-1-sources.jar
Source103: generic-jms-ra-1.0.1.Final-redhat-1.pom
Source104: generic-jms-ra-1.0.1.Final-redhat-1.rar
Source105: generic-jms-ra-pom-1.0.1.Final-redhat-1.pom
Source106: generic-jms-ra-jar-1.0.1.Final-redhat-1-javadoc.jar
Source107: generic-jms-ra-jar-1.0.1.Final-redhat-1.pom
Source108: generic-jms-ra-jar-1.0.1.Final-redhat-1-sources.jar
Source109: generic-jms-ra-jar-1.0.1.Final-redhat-1.jar
%endif

URL:       https://github.com/jms-ra/generic-jms-ra

BuildRequires:    jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Generic JMS JCA Resource Adapter for JBoss AS.

%if %with javadoc
%package javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

Requires:  jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact1}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact1}-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/%{artifact2}-%{namedversion}.rar %{buildroot}%{_javadir}/%{artifact2}-%{namedversion}.rar
%{__cp} -p %{_sourcedir}/%{artifact2}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact2}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact1}.pom
%{__cp} -p %{_sourcedir}/%{artifact2}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact2}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP %{artifact0}
%add_to_maven_depmap %{mavengroup} %{artifact1} %{namedversion} JPP %{artifact1}
%add_to_maven_depmap %{mavengroup} %{artifact2} %{namedversion} JPP %{artifact2}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact1}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar
%{_javadir}*/*.rar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Wed Nov 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Fri Oct 11 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.0-1.Final_redhat_1
- Initial build
